OVERALL_W = 70;
OVERALL_H = 22;
SLOT_W = 54;
SLOT_H = 8;
SLOT_OFFSET = 1;
SCREW_OFFSET = 50;
SCREW_D = 5;
SCREW_FROM_TOP = 6.5;
PLATE_THICKNESS = 3;

union() {
    // bottom
    difference() {
        cube([OVERALL_W, OVERALL_H, PLATE_THICKNESS], center=false);
        
        // slot
        translate([(OVERALL_W - SLOT_W)/2, (OVERALL_H - SLOT_H)/2+SLOT_OFFSET, -PLATE_THICKNESS])
        cube([SLOT_W, SLOT_H, PLATE_THICKNESS*4], center=false);
    }
        

    // side
    difference() {
        cube([OVERALL_W, PLATE_THICKNESS, OVERALL_H], center=false);
        
        // screw holes
        hull() {
            translate([(OVERALL_W - SCREW_OFFSET)/2, 0, OVERALL_H - SCREW_FROM_TOP+2])
            rotate([90,0,0])
            cylinder(h=PLATE_THICKNESS*4, r=SCREW_D/2, center=true);
            
            translate([(OVERALL_W - SCREW_OFFSET)/2, 0, OVERALL_H - SCREW_FROM_TOP-2])
            rotate([90,0,0])
            cylinder(h=PLATE_THICKNESS*4, r=SCREW_D/2, center=true);
        }
    
        hull() {
            translate([(OVERALL_W - SCREW_OFFSET)/2 + SCREW_OFFSET, 0, OVERALL_H  - SCREW_FROM_TOP+2])
            rotate([90,0,0])
            cylinder(h=PLATE_THICKNESS*4, r=SCREW_D/2, center=true);

            translate([(OVERALL_W - SCREW_OFFSET)/2 + SCREW_OFFSET, 0, OVERALL_H  - SCREW_FROM_TOP-2])
            rotate([90,0,0])
            cylinder(h=PLATE_THICKNESS*4, r=SCREW_D/2, center=true);
        }
    }
    
    // supports
    difference() {
        cube([OVERALL_W, OVERALL_H, OVERALL_H], center=false);
        translate([0,0,OVERALL_H])
        rotate([-45,0,0])
        cube([OVERALL_W, OVERALL_H*2, OVERALL_H*2], center=false);
        translate([PLATE_THICKNESS,0,0])
        cube([OVERALL_W - PLATE_THICKNESS*2, OVERALL_H, OVERALL_H], center=false);
    }
}